Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2160)
+++ admin/_charte.php	(revision 2225)
@@ -42,4 +42,5 @@
 		dotclear.img_menu_on = 'images/menu_on.png';
 		dotclear.img_menu_off = 'images/menu_off.png';
+		dotclear.msg.new_window = 'nouvelle fenêtre';
 	//]]>
 	</script>
@@ -332,5 +333,5 @@
 					</p>
 				<h3 id="prevnext">Navigation contextuelle</h3>
-					<p><a title="Titre du lien (nouvelle fenêtre)" onclick="window.open(this.href);return false;" href="http://fr.dotclear.org/blog" class="onblog_link">Lien vers le blog <img alt="" src="images/outgoing-blue.png" /></a></p>
+					<p><a title="Titre du lien" href="http://fr.dotclear.org/blog" class="onblog_link outgoing">Lien vers le blog <img alt="" src="images/outgoing-blue.png" /></a></p>
 					<p class="nav_prevnext"><a title="Titre de l'élément précédente" href="post.php?id=4145">«&nbsp;Élément précédent</a> | <a title="Titre de l'élément suivant" href="#">Élément suivant&nbsp;»</a></p>
 
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2166)
+++ admin/index.php	(revision 2225)
@@ -148,5 +148,5 @@
 			foreach ($feed->items as $item)
 			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'" title="'.$item->title.' ('.__('new window').')">'.
+				$dt = isset($item->link) ? '<a href="'.$item->link.'" class="outgoing" title="'.$item->title.'">'.
 					$item->title.' <img src="images/outgoing-blue.png" alt="" /></a>' : $item->title;
 			
@@ -179,5 +179,5 @@
 	
 		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' ('.__('new window').')">'.$k.
+			$doc_links .= '<li><a class="outgoing" href="'.$v.'" title="'.$k.'">'.$k.
 			' <img src="images/outgoing-blue.png" alt="" /></a></li>';
 		}
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 2201)
+++ admin/js/common.js	(revision 2225)
@@ -240,4 +240,5 @@
 };
 
+
 /* Dotclear common object
 -------------------------------------------------------- */
@@ -403,4 +404,12 @@
 			$('#footer a[href!="help.php"]').attr('title', $('#footer a[href!="help.php"]').attr('title') + this.data );
 		}
+	});
+
+	// manage outgoing links
+	$('.outgoing').each(function() {
+		$(this).prop('title',$(this).attr('title')+' ('+dotclear.msg.new_window+')');
+	}).click(function(e) {
+		e.preventDefault();
+		window.open($(this).attr('href'));
 	});
 
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2181)
+++ admin/post.php	(revision 2225)
@@ -420,5 +420,5 @@
 
 if ($post_id && $post->post_status == 1) {
-	echo '<p><a class="onblog_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+	echo '<p><a class="onblog_link outgoing" href="'.$post->getURL().'" title="'.$post_title.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
 }
 if ($post_id)
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2224)
+++ admin/style/default.css	(revision 2225)
@@ -1450,4 +1450,7 @@
 		text-align: center;
 		}
+        .no-js .outgoing img {
+                display: none;
+        }
 	#dashboard-boxes .box {
 		padding: 10px;
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2202)
+++ inc/admin/lib.dc.page.php	(revision 2225)
@@ -136,6 +136,6 @@
 		'<form action="index.php" method="post" id="top-info-blog">'.
 		$blog_box.
-		'<p><a href="'.$core->blog->url.'" onclick="window.open(this.href);return false;" title="'.__('Go to site').
-		' ('.__('new window').')'.'">'.__('Go to site').'<img src="images/outgoing.png" alt="" /></a>'.
+		'<p><a href="'.$core->blog->url.'" class="outgoing" title="'.__('Go to site').
+		'">'.__('Go to site').'<img src="images/outgoing.png" alt="" /></a>'.
 		'</p></form>'.
 		'<ul id="top-info-user">'.
@@ -583,4 +583,6 @@
 		self::jsVar('dotclear.msg.help',
 			__('Need help?')).
+		self::jsVar('dotclear.msg.new_window',
+			__('new window')).
 		self::jsVar('dotclear.msg.help_hide',
 			__('Hide')).
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2166)
+++ plugins/pages/page.php	(revision 2225)
@@ -356,5 +356,5 @@
 
 if ($post_id && $post->post_status == 1) {
-	echo '<p><a class="onblog_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this page on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+	echo '<p><a class="onblog_link outgoing" href="'.$post->getURL().'" title="'.$post_title.'">'.__('Go to this page on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
 }
 
